package com.foreverwin.mesnac.common.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 检验任务-明细表
 * </p>
 *
 * @author Philip
 * @since 2021-07-05
 */

@TableName("Z_INSPECTION_TASK_DETAIL")

public class InspectionTaskDetail extends Model<InspectionTaskDetail> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 检验任务主表
     */
   @TableField("TASK_BO")
   private String taskBo;
    /**
     * 检验项目明细
     */
   @TableField("INSPECTION_ITEM_DETAIL_BO")
   private String inspectionItemDetailBo;
    /**
     * 检验实际量
     */
   @TableField("CHECK_VALUES")
   private String checkValues;
    /**
     * OK,NG
     */
   @TableField("RESULT")
   private String result;
    /**
     * 检验时间
     */
   @TableField("CHECK_DATE")
   private LocalDateTime checkDate;
    /**
     * 检验人
     */
   @TableField("CHECK_USER")
   private String checkUser;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 图片/上传地址
     */
   @TableField("PICTURE_NO")
   private String pictureNo;
    /**
     * 批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 上传图片数量
     */
   @TableField("PICTURE_QTY")
   private String pictureQty;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTaskBo() {
      return taskBo;
   }

   public void setTaskBo(String taskBo) {
      this.taskBo = taskBo;
   }

   public String getInspectionItemDetailBo() {
      return inspectionItemDetailBo;
   }

   public void setInspectionItemDetailBo(String inspectionItemDetailBo) {
      this.inspectionItemDetailBo = inspectionItemDetailBo;
   }

   public String getCheckValues() {
      return checkValues;
   }

   public void setCheckValues(String checkValues) {
      this.checkValues = checkValues;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public LocalDateTime getCheckDate() {
      return checkDate;
   }

   public void setCheckDate(LocalDateTime checkDate) {
      this.checkDate = checkDate;
   }

   public String getCheckUser() {
      return checkUser;
   }

   public void setCheckUser(String checkUser) {
      this.checkUser = checkUser;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getPictureNo() {
      return pictureNo;
   }

   public void setPictureNo(String pictureNo) {
      this.pictureNo = pictureNo;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getPictureQty() {
      return pictureQty;
   }

   public void setPictureQty(String pictureQty) {
      this.pictureQty = pictureQty;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String TASK_BO = "TASK_BO";

public static final String INSPECTION_ITEM_DETAIL_BO = "INSPECTION_ITEM_DETAIL_BO";

public static final String CHECK_VALUES = "CHECK_VALUES";

public static final String RESULT = "RESULT";

public static final String CHECK_DATE = "CHECK_DATE";

public static final String CHECK_USER = "CHECK_USER";

public static final String REMARK = "REMARK";

public static final String PICTURE_NO = "PICTURE_NO";

public static final String SFC = "SFC";

public static final String PICTURE_QTY = "PICTURE_QTY";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InspectionTaskDetail{" +
         "handle = " + handle +
         ", site = " + site +
         ", taskBo = " + taskBo +
         ", inspectionItemDetailBo = " + inspectionItemDetailBo +
         ", checkValues = " + checkValues +
         ", result = " + result +
         ", checkDate = " + checkDate +
         ", checkUser = " + checkUser +
         ", remark = " + remark +
         ", pictureNo = " + pictureNo +
         ", sfc = " + sfc +
         ", pictureQty = " + pictureQty +
         "}";
   }
}